package vip.xiaonuo.money.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.money.entity.MoneyBusiness;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.money.param.DsBusAllParam;

import java.util.List;

/**
 * <p>
 * 财务营业情况 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-11-19
 */
public interface MoneyBusinessMapper extends BaseMapper<MoneyBusiness> {

    DsBusAllParam  dsBusAll(@Param(Constants.WRAPPER)  QueryWrapper<MoneyBusiness> wapper);

    List<DsBusAllParam> getDsBusYyJlYjDetailMonth(@Param(Constants.WRAPPER) QueryWrapper<MoneyBusiness> wapper);

    List<DsBusAllParam> getDsBusYyJlYjDetailYear(@Param(Constants.WRAPPER)QueryWrapper<MoneyBusiness> wapper);

    List<DsBusAllParam> getBalanceDetailMonth(@Param(Constants.WRAPPER) QueryWrapper<MoneyBusiness> wapper);

    List<DsBusAllParam> getBalanceDetailYear(@Param(Constants.WRAPPER)QueryWrapper<MoneyBusiness> wapper);

    List<DsBusAllParam> getBorrowDetailMonth(@Param(Constants.WRAPPER)QueryWrapper<MoneyBusiness> wapper);

    List<DsBusAllParam> getBorrowDetailYear(@Param(Constants.WRAPPER)QueryWrapper<MoneyBusiness> wapper);
}
